> For the complete documentation index, see [llms.txt](https://docs.civictheme.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.civictheme.io/development/drupal-theme/automated-list.md).

# Automated list

For content authoring guidance on how to add and configure an Automated list (including debugging sort order), see [Automated list (content authoring)](/content-authoring/components/list-components-and-cards/automated-list.md).

The Automated List Component enables editors to create content lists and embed them on any page.

It uses a `civictheme_automated_list` paragraph, whose field values are processed by a View preprocessing function. This function maps these values as arguments to a pre-configured `civictheme_automated_list` view.

The component provides configurations via paragraph to a view allowing content type restrictions, show/hide pagination, altering the number of items and filter configuration options.

It is possible to replace the default `civictheme_automated_list` view with a more custom one required for a specific site via `hook_civictheme_automated_list_view_name_alter()` (see [civictheme.api.php](https://github.com/civictheme/monorepo-drupal/blob/develop/web/themes/contrib/civictheme/civictheme.api.php) for details).

CivicTheme also provides support for filters in an exposed form. For views with only 1 exposed filter, Single Filter component (tag based) is enabled, but as soon as there is more than one exposed filter - the Group Filter component (with dropdown filters) is enabled automatically.

{% hint style="info" %}
It is possible to opt-out from automated exposed filters conversion using the `views.CivicThemeOptoutViewsExposedFilter` flag on the theme settings page.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.civictheme.io/development/drupal-theme/automated-list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
